Package io.dapr.v1

# Class AppCallbackHealthCheckGrpc

java.lang.Object
io.dapr.v1.AppCallbackHealthCheckGrpc

@Generated(value="by gRPC proto compiler (version 1.69.0)", comments="Source: dapr/proto/runtime/v1/appcallback.proto") public final class AppCallbackHealthCheckGrpc extends Object

     AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement
     the HealthCheck method.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub`
A stub to allow clients to do synchronous rpc calls to service AppCallbackHealthCheck.
`static final class`
`AppCallbackHealthCheckGrpc.AppCallbackHealthCheckFutureStub`
A stub to allow clients to do ListenableFuture-style rpc calls to service AppCallbackHealthCheck.
`static class`
`AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase`
Base class for the server implementation of the service AppCallbackHealthCheck.
`static final class`
`AppCallbackHealthCheckGrpc.AppCallbackHealthCheckStub`
A stub to allow clients to do asynchronous rpc calls to service AppCallbackHealthCheck.
`static interface`
`AppCallbackHealthCheckGrpc.AsyncService`
AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement the HealthCheck method.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVICE_NAME`

## Method Summary

Modifier and Type
Method
Description
`static final io.grpc.ServerServiceDefinition`
`bindService(AppCallbackHealthCheckGrpc.AsyncService service)`
`static io.grpc.MethodDescriptor<com.google.protobuf.Empty,DaprAppCallbackProtos.HealthCheckResponse>`
`getHealthCheckMethod()`
`static io.grpc.ServiceDescriptor`
`getServiceDescriptor()`
`static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub`
`newBlockingStub(io.grpc.Channel channel)`
Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckFutureStub`
`newFutureStub(io.grpc.Channel channel)`
Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckStub`
`newStub(io.grpc.Channel channel)`
Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_NAME

public static final String SERVICE_NAME

See Also:
  - Constant Field Values

## Method Details

### getHealthCheckMethod

public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,DaprAppCallbackProtos.HealthCheckResponse> getHealthCheckMethod()

### newStub

public static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckStub newStub(io.grpc.Channel channel)
Creates a new async stub that supports all call types for the service

### newBlockingStub

public static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub newBlockingStub(io.grpc.Channel channel)
Creates a new blocking-style stub that supports unary and streaming output calls on the service

### newFutureStub

public static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckFutureStub newFutureStub(io.grpc.Channel channel)
Creates a new ListenableFuture-style stub that supports unary calls on the service

### bindService

public static final io.grpc.ServerServiceDefinition bindService(AppCallbackHealthCheckGrpc.AsyncService service)

### getServiceDescriptor

public static io.grpc.ServiceDescriptor getServiceDescriptor()